///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
 *	OPCODE - Optimized Collision Detection
 *	Copyright (C) 2001 Pierre Terdiman
 *	Homepage: http://www.codercorner.com/Opcode.htm
 */
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/**
 *	Contains code for box pruning.
 *	\file		IceBoxPruning.h
 *	\author		Pierre Terdiman
 *	\date		January, 29, 2000
 */
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Include Guard
#ifndef __OPC_BOXPRUNING_H__
#define __OPC_BOXPRUNING_H__

	// Optimized versions
	FUNCTION bool CompleteBoxPruning(udword nb, const IceMaths::AABB** array, Pairs& pairs, const IceMaths::Axes& axes);
	FUNCTION bool BipartiteBoxPruning(udword nb0, const IceMaths::AABB** array0, udword nb1, const IceMaths::AABB** array1, Pairs& pairs, const IceMaths::Axes& axes);

	// Brute-force versions
	FUNCTION bool BruteForceCompleteBoxTest(udword nb, const IceMaths::AABB** array, Pairs& pairs);
	FUNCTION bool BruteForceBipartiteBoxTest(udword nb0, const IceMaths::AABB** array0, udword nb1, const IceMaths::AABB** array1, Pairs& pairs);

#endif //__OPC_BOXPRUNING_H__
